Application: gvSIG desktop - gvSIG bugs #5170

Expresiones con una tabla de simbolos ya usada no actualiza los valores modificados

11/26/2019 04:52 PM - Oscar Martinez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.5.1-3001 (rev. org.gvsig.deskiop-2.0.259)

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Para probar ejecutar script adjunto al ticket.
- Ejecutamos una expresién sobre una tabla de simbolos
- Modificamos los valores de la tabla simbolos

- Ejecutamos la expresion de nuevo.

Vemos que los valores no cambian

Associated revisions

Revision 44619 - 11/26/2019 08:43 PM - Joaquin del Cerro Murciano

refs #5170

Revision 44620 - 11/26/2019 09:00 PM - Joaquin del Cerro Murciano

refs #5170

Revision 44622 - 11/27/2019 11:23 AM - Joaquin del Cerro Murciano

refs #5170 modificado el execute del DefaultExpression para:

- que use al optimizar la expresion la tabla de simbolos del expression y no la que le llega como parametro

- que haga un link cuando detecta que ha cambiado la tabla de simbolos usada para asegurarse que las funciones a ejecutar son de la tabla de

simbolos especificada y no de alguna usada anteriormente.

- que ignore posibles errores durante la optimizacion y pase de optimizar si se dan, pero si intente ejecutar la expresion.

Tambien he modiicado el linker para que sustituya siempre las funciones si las encuentra y no solo cuando estaban a null.

Revision 44623 - 11/27/2019 11:29 AM - Joaquin del Cerro Murciano

refs #5170
History

#1 - 11/26/2019 09:02 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)
- Status changed from New to Fixed

#2 - 01/21/2020 07:42 PM - Alvaro Anguix
- Status changed from Fixed to Closed
exp.py 1.33 KB 11/26/2019 Oscar Martinez
